package TX_OtherClass;

public final class QUA extends JceStruct {
    public int areaMode;
    public int screenHeight;
    public int screenWidth;
    public int platform;
    public int markerId;
    public int mobileISP;
    public int networkMode;
    public int deviceType;
    public int densityDpi;
    static Coordinates cache_coordinates;
    static ExtentData cache_extentData;
    public String channelId;
    public String clientKey;
    public Coordinates coordinates;
    public String deviceId;
    public String deviceModel;
    public String extent;
    public ExtentData extentData;
    public String idfa;
    public String imei;
    public String imsi;
    public String mac;
    public String omgId;
    public String platformVersion;
    public String serverid;
    public String versionCode;
    public String versionName;

    static {
        QUA.cache_extentData = new ExtentData();
        QUA.cache_coordinates = new Coordinates();
    }

    public QUA() {
        super();
        this.versionName = "";
        this.versionCode = "";
        this.screenWidth = 0;
        this.screenHeight = 0;
        this.platform = 0;
        this.platformVersion = "";
        this.markerId = 0;
        this.networkMode = 0;
        this.densityDpi = 0;
        this.channelId = "";
        this.imei = "";
        this.imsi = "";
        this.idfa = "";
        this.omgId = "";
        this.extent = "";
        this.extentData = null;
        this.clientKey = "";
        this.mac = "";
        this.serverid = "";
        this.coordinates = null;
        this.deviceId = "";
        this.deviceModel = "";
        this.deviceType = 0;
        this.mobileISP = 0;
        this.areaMode = 0;
    }

    public QUA(String arg3, String arg4, int arg5, int arg6, int arg7, String arg8, int arg9, int arg10, int arg11, String arg12, String arg13, String arg14, String arg15, String arg16, String arg17, ExtentData arg18, String arg19, String arg20, String arg21, Coordinates arg22, String arg23, String arg24, int arg25, int arg26, int arg27) {
        super();
        this.versionName = "";
        this.versionCode = "";
        this.screenWidth = 0;
        this.screenHeight = 0;
        this.platform = 0;
        this.platformVersion = "";
        this.markerId = 0;
        this.networkMode = 0;
        this.densityDpi = 0;
        this.channelId = "";
        this.imei = "";
        this.imsi = "";
        this.idfa = "";
        this.omgId = "";
        this.extent = "";
        this.extentData = null;
        this.clientKey = "";
        this.mac = "";
        this.serverid = "";
        this.coordinates = null;
        this.deviceId = "";
        this.deviceModel = "";
        this.deviceType = 0;
        this.mobileISP = 0;
        this.areaMode = 0;
        this.versionName = arg3;
        this.versionCode = arg4;
        this.screenWidth = arg5;
        this.screenHeight = arg6;
        this.platform = arg7;
        this.platformVersion = arg8;
        this.markerId = arg9;
        this.networkMode = arg10;
        this.densityDpi = arg11;
        this.channelId = arg12;
        this.imei = arg13;
        this.imsi = arg14;
        this.idfa = arg15;
        this.omgId = arg16;
        this.extent = arg17;
        this.extentData = arg18;
        this.clientKey = arg19;
        this.mac = arg20;
        this.serverid = arg21;
        this.coordinates = arg22;
        this.deviceId = arg23;
        this.deviceModel = arg24;
        this.deviceType = arg25;
        this.mobileISP = arg26;
        this.areaMode = arg27;
    }

    public final void readFrom(c arg4) {
        this.versionName = arg4.b(0, true);
        this.versionCode = arg4.b(1, true);
        this.screenWidth = arg4.a(this.screenWidth, 2, false);
        this.screenHeight = arg4.a(this.screenHeight, 3, false);
        this.platform = arg4.a(this.platform, 4, false);
        this.platformVersion = arg4.b(5, false);
        this.markerId = arg4.a(this.markerId, 6, false);
        this.networkMode = arg4.a(this.networkMode, 7, false);
        this.densityDpi = arg4.a(this.densityDpi, 8, false);
        this.channelId = arg4.b(9, false);
        this.imei = arg4.b(10, false);
        this.imsi = arg4.b(11, false);
        this.idfa = arg4.b(12, false);
        this.omgId = arg4.b(13, false);
        this.extent = arg4.b(14, false);
        this.extentData = (ExtentData) arg4.a(QUA.cache_extentData, 15, false);
        this.clientKey = arg4.b(16, false);
        this.mac = arg4.b(17, false);
        this.serverid = arg4.b(18, false);
        this.coordinates = (Coordinates) arg4.a(QUA.cache_coordinates, 19, false);
        this.deviceId = arg4.b(20, false);
        this.deviceModel = arg4.b(21, false);
        this.deviceType = arg4.a(this.deviceType, 22, false);
        this.mobileISP = arg4.a(this.mobileISP, 23, false);
        this.areaMode = arg4.a(this.areaMode, 24, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.versionName, 0);
        arg3.a(this.versionCode, 1);
        arg3.a(this.screenWidth, 2);
        arg3.a(this.screenHeight, 3);
        arg3.a(this.platform, 4);
        if(this.platformVersion != null) {
            arg3.a(this.platformVersion, 5);
        }

        arg3.a(this.markerId, 6);
        arg3.a(this.networkMode, 7);
        arg3.a(this.densityDpi, 8);
        if(this.channelId != null) {
            arg3.a(this.channelId, 9);
        }

        if(this.imei != null) {
            arg3.a(this.imei, 10);
        }

        if(this.imsi != null) {
            arg3.a(this.imsi, 11);
        }

        if(this.idfa != null) {
            arg3.a(this.idfa, 12);
        }

        if(this.omgId != null) {
            arg3.a(this.omgId, 13);
        }

        if(this.extent != null) {
            arg3.a(this.extent, 14);
        }

        if(this.extentData != null) {
            arg3.a(this.extentData, 15);
        }

        if(this.clientKey != null) {
            arg3.a(this.clientKey, 16);
        }

        if(this.mac != null) {
            arg3.a(this.mac, 17);
        }

        if(this.serverid != null) {
            arg3.a(this.serverid, 18);
        }

        if(this.coordinates != null) {
            arg3.a(this.coordinates, 19);
        }

        if(this.deviceId != null) {
            arg3.a(this.deviceId, 20);
        }

        if(this.deviceModel != null) {
            arg3.a(this.deviceModel, 21);
        }

        arg3.a(this.deviceType, 22);
        arg3.a(this.mobileISP, 23);
        arg3.a(this.areaMode, 24);
    }
}


